.BG
.FN get.lam
.TL
Finds the projection index for a matrix of points.
.DN
Finds the projection index for a matrix of points.  `x', when
projected onto a curve `s'. The curve need not be of the same length
as the number of points. If the points on the curve are not in order,
this order needs to be given as well, in `tag'.
.CS
get.lam(x, s, tag, stretch=2)
.RA
.AG x
a matrix of data points
.AG s
a parametrized curve, represented by a polygon.
.AG tag
the order of the point in `s'. Default is the given order.
.AG stretch
A stretch factor for the endpoints of the curve; a maximum of 2. it allows
the curve to grow, if required, and helps avoid bunching at the end.
.RT
A structure is returned which represents a fitted curve. It has components
.AG s
The fitted points on the curve corresponding to each point `x'.
.AG tag
the order of the fitted points
.AG lambda
The projection index for each point
.AG dist 
The total squared distance from the curve.
.KW principal curve, principal component, projection index
.WR
